//////////////////////////////////////////
//
//		main.cpp
//
//		C++でのメモリの動的確保
//
//
/////////////////////////////////////////

////////////////////////////////////////
//		includefile
////////////////////////////////////////

#include <stdio.h>

////////////////////////////////////////
//		定数定義
////////////////////////////////////////

///////////////////////////////////////
//		class
///////////////////////////////////////

//playerクラス
class CPlayer
{
public:

	CPlayer();
	~CPlayer();
	void Init();
	void Uninit();
	int Input();
	void Output();

private:

	int m_nLife;
	int m_nAttack;
	int m_nSpeed;

};

CPlayer aPlayer[3];
//////////////////////////////////////

//メイン関数
void main( void )
{

	int nNumPlayer;
	//CPlayer aPlayer[3];

	//プレイヤー初期化処理
	for(int inc=0;inc < 3;inc++){
		aPlayer[inc].Init();
	}

	//プレイヤー入力処理
	for(int inc=0;inc < 3;inc++){
		aPlayer[inc].Input();
	}

	//プレイヤーの出力処理
	for(int inc=0;inc < 3;inc++){

		printf("%d回目\n",inc);
		aPlayer[inc].Output();
	}

	//プレイヤーの終了処理
	for(int inc=0;inc < 3;inc++){
		aPlayer[inc].Uninit();
	}

	rewind(stdin);
	getchar();

}
//コンストラクタ
CPlayer::CPlayer()
{

	m_nLife=0;
	m_nAttack=0;
	m_nSpeed=0;
}
//デストラクタ
CPlayer::~CPlayer()
{

}
//初期化処理
void CPlayer::Init()
{

	m_nLife=0;
	m_nAttack=0;
	m_nSpeed=0;

}
//終了処理
void CPlayer::Uninit()
{

}
//入力処理
int CPlayer::Input()
{
	
	int nNumPlayer;

	//Lifeの入力
	printf("Lifeの入力 >");
	scanf("%d",&m_nLife);

	//Attackの入力
	printf("Attackの入力 >");
	scanf("%d",&m_nAttack);

	//Speedの入力
	printf("Speedの入力 >");
	scanf("%d",&m_nSpeed);

	return nNumPlayer;
}
//出力処理
void CPlayer::Output()
{

	//プレイヤーデータの出力
	printf("Life : %d \n",m_nLife);
	printf("Attack : %d \n",m_nAttack);
	printf("Speed : %d \n",m_nSpeed);

}
